Billing Accounts - List

Mencantumkan akun penagihan yang dapat diakses pengguna.

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts?api-version=2019-10-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts?api-version=2019-10-01-preview&$expand={$expand}

Parameter URI

Name In Required Type Description
api-version
query True
  • string

Versi API yang akan digunakan dengan permintaan klien. Versi saat ini adalah 2019-10-01-preview.

$expand
query
  • string

Dapat digunakan untuk memperluas alamat, bagian faktur, dan profil penagihan.

Respons

Name Type Description
200 OK

OK. Permintaan telah berhasil.

Other Status Codes

Respons kesalahan yang menjelaskan mengapa operasi gagal.

Keamanan

azure_auth

Azure Active Directory Flow OAuth2.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation meniru akun pengguna Anda

Contoh

BillingAccountsList
BillingAccountsListWithExpand
BillingAccountsListWithExpandForEnrollmentDetails

BillingAccountsList

Sample Request

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts?api-version=2019-10-01-preview

Sample Response

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000",
      "name": "00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "displayName": "Test Account 1",
        "agreementType": "MicrosoftCustomerAgreement",
        "customerType": "Enterprise",
        "accountType": "Enterprise",
        "organizationId": "00000000-0000-0000-0000-000000000000"
      }
    },
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
      "name": "10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "displayName": "Test Account 2",
        "agreementType": "MicrosoftCustomerAgreement",
        "address": null,
        "customerType": "Enterprise",
        "accountType": "Enterprise",
        "organizationId": "00000000-0000-0000-0000-000000000000"
      }
    },
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/20000000-0000-0000-0000-000000000002_00000000-0000-0000-0000-000000000000",
      "name": "20000000-0000-0000-0000-000000000002_00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "displayName": "Test Account 3",
        "agreementType": "MicrosoftCustomerAgreement",
        "customerType": "Enterprise",
        "accountType": "Enterprise",
        "organizationId": "00000000-0000-0000-0000-000000000000"
      }
    }
  ]
}

BillingAccountsListWithExpand

Sample Request

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts?api-version=2019-10-01-preview&$expand=address, billingProfiles, billingProfiles/invoiceSections

Sample Response

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000",
      "name": "00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "displayName": "Test Account 1",
        "agreementType": "MicrosoftCustomerAgreement",
        "address": {
          "companyName": "Contoso",
          "firstName": "Test",
          "lastName": "User",
          "addressLine1": "Test Address",
          "addressLine2": "Test Address",
          "addressLine3": "Test Address",
          "city": "City",
          "postalCode": "00000",
          "region": "WA",
          "country": "US"
        },
        "customerType": "Enterprise",
        "accountType": "Enterprise",
        "organizationId": "00000000-0000-0000-0000-000000000000",
        "billingProfiles": [
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000000",
            "name": "11000000-0000-0000-0000-000000000000",
            "type": "Microsoft.Billing/billingAccounts/billingProfiles",
            "properties": {
              "displayName": "BillingProfile1",
              "address": {
                "companyName": "Contoso",
                "firstName": "Test",
                "lastName": "User",
                "addressLine1": "Test Address1",
                "addressLine2": "Test Address2",
                "addressLine3": "Test Address3",
                "city": "City",
                "postalCode": "00000",
                "region": "WA",
                "country": "US"
              },
              "billingRelationshipType": "Direct",
              "currency": "USD",
              "enabledAzurePlans": [
                {
                  "skuId": "0001",
                  "skuDescription": "Microsoft Azure Dev/Test"
                },
                {
                  "skuId": "0002",
                  "skuDescription": "Microsoft Azure Standard"
                }
              ],
              "invoiceDay": 5,
              "invoiceEmailOptIn": true,
              "poNumber": "ABC12345",
              "status": "Warned",
              "statusReasonCode": "PastDue",
              "spendingLimit": "On",
              "invoiceSections": [
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000000/invoiceSections/invoiceSectionId1",
                  "name": "invoiceSectionId1",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName1",
                    "state": "Active"
                  }
                },
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000000/invoiceSections/invoiceSectionId2",
                  "name": "invoiceSectionId2",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName2",
                    "state": "Active"
                  }
                }
              ]
            }
          },
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000001",
            "name": "11000000-0000-0000-0000-000000000001",
            "type": "Microsoft.Billing/billingAccounts/billingProfiles",
            "properties": {
              "displayName": "BillingProfile2",
              "address": {
                "companyName": "Contoso",
                "firstName": "Test",
                "lastName": "User",
                "addressLine1": "Test Address1",
                "addressLine2": "Test Address2",
                "addressLine3": "Test Address3",
                "city": "City",
                "postalCode": "00000",
                "region": "WA",
                "country": "US"
              },
              "billingRelationshipType": "CSPPartner",
              "currency": "USD",
              "enabledAzurePlans": [
                {
                  "skuId": "0001",
                  "skuDescription": "Microsoft Azure Dev/Test"
                },
                {
                  "skuId": "0002",
                  "skuDescription": "Microsoft Azure Standard"
                }
              ],
              "invoiceDay": 5,
              "invoiceEmailOptIn": true,
              "poNumber": "ABC12345",
              "status": "Active",
              "spendingLimit": "Off",
              "invoiceSections": [
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/00000000-0000-0000-0000-000000000000_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000001/invoiceSections/invoiceSectionId11",
                  "name": "invoiceSectionId11",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName11",
                    "state": "Active"
                  }
                }
              ]
            }
          }
        ]
      }
    },
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
      "name": "10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "displayName": "Test Account 2",
        "agreementType": "MicrosoftCustomerAgreement",
        "address": null,
        "customerType": "Enterprise",
        "accountType": "Enterprise",
        "organizationId": "00000000-0000-0000-0000-000000000000",
        "billingProfiles": [
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000004",
            "name": "11000000-0000-0000-0000-000000000004",
            "type": "Microsoft.Billing/billingAccounts/billingProfiles",
            "properties": {
              "displayName": "BillingProfile3",
              "address": {
                "companyName": "Contoso Test",
                "firstName": "Test",
                "lastName": "User",
                "addressLine1": "Test Address1",
                "addressLine2": "Test Address2",
                "addressLine3": "Test Address3",
                "city": "City",
                "postalCode": "00000",
                "region": "WA",
                "country": "US"
              },
              "billingRelationshipType": "IndirectPartner",
              "currency": "USD",
              "enabledAzurePlans": [
                {
                  "skuId": "0001",
                  "skuDescription": "Microsoft Azure Dev/Test"
                },
                {
                  "skuId": "0002",
                  "skuDescription": "Microsoft Azure Standard"
                }
              ],
              "indirectRelationshipInfo": {
                "billingAccountName": "20000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
                "billingProfileName": "22000000-0000-0000-0000-000000000001",
                "displayName": "Customer1"
              },
              "invoiceDay": 5,
              "invoiceEmailOptIn": true,
              "poNumber": "ABC12345",
              "status": "Warned",
              "statusReasonCode": "PastDue",
              "spendingLimit": "On",
              "targetClouds": [
                "USNat",
                "USSec"
              ],
              "invoiceSections": [
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000004/invoiceSections/invoiceSectionId3",
                  "name": "invoiceSectionId3",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName3",
                    "state": "Restricted",
                    "targetCloud": "USNat"
                  }
                },
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000004/invoiceSections/invoiceSectionId4",
                  "name": "invoiceSectionId4",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName4",
                    "state": "Restricted",
                    "targetCloud": "USSec"
                  }
                }
              ]
            }
          },
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000005",
            "name": "11000000-0000-0000-0000-000000000005",
            "type": "Microsoft.Billing/billingAccounts/billingProfiles",
            "properties": {
              "displayName": "BillingProfile4",
              "address": {
                "companyName": "Contoso Test",
                "firstName": "Test",
                "lastName": "User",
                "addressLine1": "Test Address1",
                "addressLine2": "Test Address2",
                "addressLine3": "Test Address3",
                "city": "City",
                "postalCode": "00000",
                "region": "WA",
                "country": "US"
              },
              "billingRelationshipType": "IndirectCustomer",
              "currency": "USD",
              "enabledAzurePlans": [
                {
                  "skuId": "0001",
                  "skuDescription": "Microsoft Azure Dev/Test"
                },
                {
                  "skuId": "0002",
                  "skuDescription": "Microsoft Azure Standard"
                }
              ],
              "indirectRelationshipInfo": {
                "billingAccountName": "30000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000",
                "billingProfileName": "33000000-0000-0000-0000-000000000001",
                "displayName": "Partner1"
              },
              "invoiceDay": 5,
              "invoiceEmailOptIn": true,
              "poNumber": "ABC12345",
              "status": "Warned",
              "statusReasonCode": "PastDue",
              "spendingLimit": "On",
              "targetClouds": [
                "USSec"
              ],
              "invoiceSections": [
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000005/invoiceSections/invoiceSectionId5",
                  "name": "invoiceSectionId5",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName5",
                    "state": "Active"
                  }
                },
                {
                  "id": "/providers/Microsoft.Billing/billingAccounts/10000000-0000-0000-0000-000000000001_00000000-0000-0000-0000-000000000000/billingProfiles/11000000-0000-0000-0000-000000000005/invoiceSections/invoiceSectionId6",
                  "name": "invoiceSectionId6",
                  "type": "Microsoft.Billing/billingAccounts/billingProfiles/invoiceSections",
                  "properties": {
                    "displayName": "invoiceSectionName6",
                    "state": "Restricted",
                    "targetCloud": "USSec"
                  }
                }
              ]
            }
          }
        ]
      }
    }
  ]
}

BillingAccountsListWithExpandForEnrollmentDetails

Sample Request

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts?api-version=2019-10-01-preview&$expand=properties/enrollmentDetails, properties/departments, properties/enrollmentAccounts

Sample Response

{
  "value": [
    {
      "id": "/providers/Microsoft.Billing/billingAccounts/7645820",
      "name": "7645820",
      "type": "Microsoft.Billing/billingAccounts",
      "properties": {
        "agreementType": "EnterpriseAgreement",
        "address": {
          "addressLine1": "Test Address",
          "addressLine2": "Test Address",
          "addressLine3": "Test Address",
          "city": "City",
          "postalCode": "00000",
          "region": "WA",
          "country": "US"
        },
        "enrollmentDetails": {
          "startDate": "2018-05-01T17:32:28Z",
          "endDate": "2019-05-31T17:32:28Z",
          "currency": "USD",
          "channel": "EaDirect",
          "language": "en",
          "countryCode": "US",
          "status": "Active",
          "billingCycle": "Monthly",
          "policies": {
            "accountOwnerViewCharges": true,
            "departmentAdminViewCharges": true,
            "marketplacesEnabled": true,
            "reservedInstancesEnabled": true
          }
        },
        "departments": [
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/departments/departmentId1",
            "name": "departmentId1",
            "type": "Microsoft.Billing/departments",
            "properties": {
              "departmentName": "departmentName1",
              "costCenter": "C1",
              "status": "Active"
            }
          },
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/departments/departmentId2",
            "name": "departmentId2",
            "type": "Microsoft.Billing/departments",
            "properties": {
              "departmentName": "departmentName2",
              "costCenter": "C4",
              "status": "Active"
            }
          }
        ],
        "enrollmentAccounts": [
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId0",
            "name": "accountId0",
            "type": "Microsoft.Billing/enrollmentAccounts",
            "properties": {
              "accountName": "AccountName0",
              "costCenter": "C0",
              "status": "Active",
              "startDate": "2018-05-01T17:32:28Z",
              "endDate": "2019-05-31T17:32:28Z"
            }
          },
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId1",
            "name": "accountId1",
            "type": "Microsoft.Billing/enrollmentAccounts",
            "properties": {
              "accountName": "AccountName1",
              "costCenter": "C4",
              "status": "Active",
              "startDate": "2018-05-01T17:32:28Z",
              "endDate": "2019-05-31T17:32:28Z"
            }
          },
          {
            "id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/enrollmentAccounts/accountId2",
            "name": "accountId2",
            "type": "Microsoft.Billing/enrollmentAccounts",
            "properties": {
              "accountName": "AccountName2",
              "costCenter": "C4",
              "status": "Active",
              "startDate": "2018-05-01T17:32:28Z",
              "endDate": "2019-05-31T17:32:28Z"
            }
          }
        ]
      }
    }
  ]
}

Definisi

AccountType

Jenis pelanggan.

AddressDetails

Detail alamat.

AgreementType

Jenis perjanjian.

AzurePlan

Detail paket Azure.

BillingAccount

Akun penagihan.

BillingAccountListResult

Daftar akun penagihan.

BillingProfile

Profil penagihan.

BillingProfileStatus

Status profil penagihan.

BillingRelationshipType

Mengidentifikasi layanan dan pembelian mana yang dibayarkan oleh profil penagihan.

CustomerType

Jenis pelanggan.

Department

Sebuah departemen.

Enrollment

Properti pendaftaran.

EnrollmentAccount

Akun pendaftaran.

EnrollmentPolicies

Kebijakan untuk pendaftaran Perjanjian Enterprise.

ErrorDetails

Detail kesalahan.

ErrorResponse

Respons kesalahan menunjukkan bahwa layanan tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan.

ErrorSubDetails
IndirectRelationshipInfo

Detail profil penagihan mitra pelanggan untuk gerakan tidak langsung.

InvoiceSection

Bagian faktur.

InvoiceSectionState

Mengidentifikasi status bagian faktur.

SpendingLimit

Batas pengeluaran profil penagihan.

StatusReasonCode

Alasan status profil penagihan yang ditentukan.

targetCloud

Mengidentifikasi lingkungan cloud yang terkait dengan bagian faktur. Ini adalah bidang opsional yang dikelola sistem dan diperbarui saat bagian faktur dikaitkan dengan akun di berbagai cloud.

AccountType

Jenis pelanggan.

Name Type Description
Enterprise
  • string
Individual
  • string
Partner
  • string

AddressDetails

Detail alamat.

Name Type Description
addressLine1
  • string

Baris alamat 1.

addressLine2
  • string

Baris alamat 2.

addressLine3
  • string

Baris alamat 3.

city
  • string

Kota alamat.

companyName
  • string

Nama perusahaan.

country
  • string

Kode negara menggunakan format ISO2, 2 digit.

firstName
  • string

Nama depan.

lastName
  • string

Nama belakang.

postalCode
  • string

Kode pos.

region
  • string

Wilayah alamat.

AgreementType

Jenis perjanjian.

Name Type Description
EnterpriseAgreement
  • string
MicrosoftCustomerAgreement
  • string
MicrosoftOnlineServicesProgram
  • string
MicrosoftPartnerAgreement
  • string

AzurePlan

Detail paket Azure.

Name Type Description
skuDescription
  • string

Deskripsi sku.

skuId
  • string

Id sku.

BillingAccount

Akun penagihan.

Name Type Description
id
  • string

Id Sumber Daya.

name
  • string

Nama sumber daya.

properties.accountType

Jenis pelanggan.

properties.address

Alamat yang terkait dengan akun penagihan.

properties.agreementType

Jenis perjanjian.

properties.billingProfiles

Profil penagihan yang terkait dengan akun penagihan. Secara default ini tidak diisi, kecuali ditentukan dalam $expand.

properties.customerType

Jenis pelanggan.

properties.departments

Departemen yang terkait dengan pendaftaran.

properties.displayName
  • string

Nama akun penagihan.

properties.enrollmentAccounts

Akun yang terkait dengan pendaftaran.

properties.enrollmentDetails

Detail tentang pendaftaran warisan terkait. Secara default ini tidak diisi, kecuali ditentukan dalam $expand.

properties.organizationId
  • string

Id organisasi.

type
  • string

Jenis sumber daya

BillingAccountListResult

Daftar akun penagihan.

Name Type Description
nextLink
  • string

Tautan (url) ke halaman hasil berikutnya.

value

Daftar akun penagihan.

BillingProfile

Profil penagihan.

Name Type Description
id
  • string

Id Sumber Daya.

name
  • string

Nama sumber daya.

properties.address

Alamat penagihan.

properties.billingRelationshipType

Mengidentifikasi layanan dan pembelian mana yang dibayarkan oleh profil penagihan.

properties.currency
  • string

Mata uang di mana biaya untuk profil penagihan ditagih.

properties.displayName
  • string

Nama profil penagihan.

properties.enabledAzurePlans

Informasi tentang paket azure yang diaktifkan.

properties.indirectRelationshipInfo

Mengidentifikasi profil penagihan yang ditautkan ke profil penagihan lain dalam gerakan pembelian tidak langsung.

properties.invoiceDay
  • integer

Hari dalam sebulan ketika faktur untuk profil penagihan dibuat.

properties.invoiceEmailOptIn
  • boolean

Bendera yang mengontrol apakah faktur untuk profil penagihan dikirim melalui email.

properties.invoiceSections

Bagian faktur yang terkait dengan profil penagihan.

properties.poNumber
  • string

Nama pesanan pembelian yang akan muncul pada faktur yang dihasilkan untuk profil penagihan.

properties.spendingLimit

Batas pengeluaran profil penagihan.

properties.status

Status profil penagihan.

properties.statusReasonCode

Alasan untuk status profil penagihan yang ditentukan.

properties.targetClouds
  • string[]

Mengidentifikasi lingkungan cloud yang terkait dengan profil penagihan. Ini adalah bidang opsional yang dikelola sistem dan diperbarui saat profil penagihan dikaitkan dengan akun di berbagai cloud.

type
  • string

Jenis sumber daya

BillingProfileStatus

Status profil penagihan.

Name Type Description
Active
  • string
Disabled
  • string
Warned
  • string

BillingRelationshipType

Mengidentifikasi layanan dan pembelian mana yang dibayarkan oleh profil penagihan.

Name Type Description
CSPPartner
  • string
Direct
  • string
IndirectCustomer
  • string
IndirectPartner
  • string

CustomerType

Jenis pelanggan.

Name Type Description
Enterprise
  • string
Individual
  • string
Partner
  • string

Department

Sebuah departemen.

Name Type Description
id
  • string

Id Sumber Daya.

name
  • string

Nama sumber daya.

properties.costCenter
  • string

Pusat biaya yang terkait dengan departemen.

properties.departmentName
  • string

Nama departemen.

properties.enrollmentAccounts

Akun pendaftaran terkait. Secara default ini tidak diisi, kecuali ditentukan dalam $expand.

properties.status
  • string

Status departemen.

type
  • string

Jenis sumber daya

Enrollment

Properti pendaftaran.

Name Type Description
billingCycle
  • string

Siklus penagihan untuk pendaftaran.

channel
  • string

Jenis saluran pendaftaran.

countryCode
  • string

Kode negara pendaftaran.

currency
  • string

Mata uang penagihan untuk pendaftaran.

endDate
  • string

Tanggal akhir pendaftaran.

language
  • string

Bahasa untuk pendaftaran.

policies

Kebijakan untuk pendaftaran Perjanjian Enterprise.

startDate
  • string

Tanggal mulai pendaftaran.

status
  • string

Status pendaftaran saat ini.

EnrollmentAccount

Akun pendaftaran.

Name Type Description
id
  • string

Id Sumber Daya.

name
  • string

Nama sumber daya.

properties.accountName
  • string

Nama akun pendaftaran.

properties.accountOwner
  • string

Pemilik akun pendaftaran.

properties.costCenter
  • string

Pusat biaya yang terkait dengan akun pendaftaran.

properties.department

Departemen terkait. Secara default ini tidak diisi, kecuali ditentukan dalam $expand.

properties.endDate
  • string

Tanggal akhir akun pendaftaran.

properties.startDate
  • string

Tanggal mulai akun pendaftaran.

properties.status
  • string

Status akun pendaftaran.

type
  • string

Jenis sumber daya

EnrollmentPolicies

Kebijakan untuk pendaftaran Perjanjian Enterprise.

Name Type Description
accountOwnerViewCharges
  • boolean

Kebijakan yang mengontrol apakah Pemilik Akun dapat melihat biaya.

departmentAdminViewCharges
  • boolean

Kebijakan yang mengontrol apakah Administrator Departemen dapat melihat biaya.

marketplacesEnabled
  • boolean

Kebijakan yang mengontrol apakah pembelian marketplace Azure diizinkan dalam pendaftaran.

reservedInstancesEnabled
  • boolean

Kebijakan yang mengontrol apakah pembelian reservasi Azure diizinkan dalam pendaftaran.

ErrorDetails

Detail kesalahan.

Name Type Description
code
  • string

Kode Kesalahan.

details

Subdetail kesalahan.

message
  • string

Pesan kesalahan yang menunjukkan mengapa operasi gagal.

target
  • string

Target kesalahan tertentu.

ErrorResponse

Respons kesalahan menunjukkan bahwa layanan tidak dapat memproses permintaan masuk. Alasannya disediakan dalam pesan kesalahan.

Name Type Description
error

Detail kesalahan.

ErrorSubDetails

Name Type Description
code
  • string

Kode Kesalahan.

message
  • string

Pesan kesalahan yang menunjukkan mengapa operasi gagal.

target
  • string

Target kesalahan tertentu.

IndirectRelationshipInfo

Detail profil penagihan mitra pelanggan untuk gerakan tidak langsung.

Name Type Description
billingAccountName
  • string

Nama akun penagihan mitra atau pelanggan untuk gerakan tidak langsung.

billingProfileName
  • string

Nama profil penagihan mitra atau pelanggan untuk gerakan tidak langsung.

displayName
  • string

Nama tampilan mitra atau pelanggan untuk gerakan tidak langsung.

InvoiceSection

Bagian faktur.

Name Type Description
id
  • string

Id Sumber Daya.

name
  • string

Nama sumber daya.

properties.displayName
  • string

Nama bagian faktur.

properties.state

Mengidentifikasi status bagian faktur.

properties.targetCloud

Mengidentifikasi lingkungan cloud yang terkait dengan bagian faktur. Ini adalah bidang opsional yang dikelola sistem dan diperbarui saat bagian faktur dikaitkan dengan akun di berbagai cloud.

type
  • string

Jenis sumber daya

InvoiceSectionState

Mengidentifikasi status bagian faktur.

Name Type Description
Active
  • string
Restricted
  • string

SpendingLimit

Batas pengeluaran profil penagihan.

Name Type Description
Off
  • string
On
  • string

StatusReasonCode

Alasan status profil penagihan yang ditentukan.

Name Type Description
PastDue
  • string
SpendingLimitExpired
  • string
SpendingLimitReached
  • string

targetCloud

Mengidentifikasi lingkungan cloud yang terkait dengan bagian faktur. Ini adalah bidang opsional yang dikelola sistem dan diperbarui saat bagian faktur dikaitkan dengan akun di berbagai cloud.

Name Type Description
USGov
  • string
USNat
  • string
USSec
  • string